Package org.eclipse.ui

# Interface IPersistable

All Known Subinterfaces:
  `IAggregateWorkingSet`, `IConsoleView`, `IDebugView`, `IPersistableEditor`, `IPersistableElement`, `ISearchResultView`, `ISearchResultViewPart`, `ISynchronizeView`, `IViewPart`, `IWorkingSet`

All Known Implementing Classes:
  `AbstractDebugView`, `AbstractDecoratedTextEditor`, `AbstractTextEditor`, `CommonNavigator`, `ContentOutline`, `org.eclipse.ui.internal.views.markers.ExtendedMarkersView`, `FileEditorInput`, `FileInPlaceEditorInput`, `FileStoreEditorInput`, `MarkerSupportView`, `PageBookView`, `ProjectExplorer`, `PropertySheet`, `StatusTextEditor`, `TemplatesView`, `TextEditor`, `ViewPart`

public interface IPersistable
Objects implementing this interface are capable of saving their state in an `IMemento`.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`saveState(IMemento memento)`
Saves the state of the object in the given memento.

## Method Details

### saveState

void saveState(IMemento memento)
Saves the state of the object in the given memento.

Parameters:
  `memento` - the storage area for object's state